delegations

Get delegation information for a user.

POST Request

Field
Type
Description

type

string

Must be "delegations"

user

string

Ethereum address (0x-prefixed, 42 characters)

curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "delegations",
    "user": "0x0000000000000000000000000000000000000000"
  }'

Response Fields

Field
Type
Description

validator

string

Validator address

amount

string

Delegated amount

lockedUntilTimestamp

int

Unlock timestamp in milliseconds

Response
[
    {
        "validator": "0x420a4ed7b6bb361da586868adec2f2bb9ab75e66",
        "amount": "305.27602401",
        "lockedUntilTimestamp": 1768061059908
    },
    {
        "validator": "0x497beec89958848126c2ea65934ce430e1410ad2",
        "amount": "217.26663138",
        "lockedUntilTimestamp": 1753148985995
    }
]

Last updated